Search a brokerage firm's derogations
curl --request POST \
--url https://api.korint.io/brokerage-firms/{brokerageFirmId}/derogations/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenant: <tenant>' \
--data '
{
"statuses": [],
"brokerageFirmName": "<string>",
"queryString": "<string>",
"productIds": [
"<string>"
]
}
'import requests
url = "https://api.korint.io/brokerage-firms/{brokerageFirmId}/derogations/search"
payload = {
"statuses": [],
"brokerageFirmName": "<string>",
"queryString": "<string>",
"productIds": ["<string>"]
}
headers = {
"tenant": "<tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
tenant: '<tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
statuses: [],
brokerageFirmName: '<string>',
queryString: '<string>',
productIds: ['<string>']
})
};
fetch('https://api.korint.io/brokerage-firms/{brokerageFirmId}/derogations/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"customers": [
{
"type": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"policies": [
"<string>"
],
"role": "<string>",
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
],
"name": "<string>",
"preferredPaymentMethodId": "<string>"
}
],
"policy": {
"type": "<string>",
"id": "<string>",
"productId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"assets": [
"<string>"
],
"customers": [
"<string>"
],
"periodDuration": {
"amount": 123
},
"invoicingConfig": {
"earlyPayment": {
"amount": 123
}
},
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
],
"name": "<string>",
"parent": "<string>",
"brokerageFirm": "<string>",
"incrementalId": 123,
"externalId": "<string>",
"author": {
"firstName": "<string>",
"lastName": "<string>",
"userId": "<string>",
"email": "jsmith@example.com",
"brokerRole": "<string>"
},
"signedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"isAwaitingFirstPayment": true,
"endedAt": "2023-11-07T05:31:56Z",
"nextRenewalAt": "2023-11-07T05:31:56Z",
"stoppedAt": "2023-11-07T05:31:56Z",
"suspendedAt": "2023-11-07T05:31:56Z",
"reactivatedAt": "2023-11-07T05:31:56Z",
"additionalQuoteComponents": {
"id": "<string>",
"premium": {
"amountPreFeesAndTaxes": 123,
"fees": [
{
"id": "<string>",
"amount": 123,
"brokerageFirmId": "<string>"
}
],
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"taxes": [
{
"id": "<string>",
"amount": 123
}
],
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
}
},
"quote": {
"id": "<string>",
"entityId": "<string>",
"provider": {
"id": "<string>",
"version": "<string>"
},
"rates": [
{
"id": "<string>",
"rate": 123,
"inputs": [
{
"id": "<string>",
"value": "<string>"
}
]
}
],
"totalPremium": {
"amountPreFeesAndTaxes": 123,
"fees": [
{
"id": "<string>",
"amount": 123,
"brokerageFirmId": "<string>"
}
],
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"taxes": [
{
"id": "<string>",
"amount": 123
}
],
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
},
"components": [
{
"id": "<string>",
"premium": {
"amountPreFeesAndTaxes": 123,
"fees": [
{
"id": "<string>",
"amount": 123,
"brokerageFirmId": "<string>"
}
],
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"taxes": [
{
"id": "<string>",
"amount": 123
}
],
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
}
}
],
"basePrice": 123
},
"proratedQuote": {
"id": "<string>",
"entityId": "<string>",
"provider": {
"id": "<string>",
"version": "<string>"
},
"rates": [
{
"id": "<string>",
"rate": 123,
"inputs": [
{
"id": "<string>",
"value": "<string>"
}
]
}
],
"totalPremium": {
"amountPreFeesAndTaxes": 123,
"fees": [
{
"id": "<string>",
"amount": 123,
"brokerageFirmId": "<string>"
}
],
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"taxes": [
{
"id": "<string>",
"amount": 123
}
],
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
},
"components": [
{
"id": "<string>",
"premium": {
"amountPreFeesAndTaxes": 123,
"fees": [
{
"id": "<string>",
"amount": 123,
"brokerageFirmId": "<string>"
}
],
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"taxes": [
{
"id": "<string>",
"amount": 123
}
],
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
}
}
],
"basePrice": 123
},
"selectedTier": {},
"stop": {
"reason": "<string>",
"details": [
{
"key": "<string>",
"value": "<string>"
}
],
"createdAt": "<string>"
},
"brokerageFees": [
{
"brokerageFirmId": "<string>",
"fee": 50
}
],
"billingAssignment": {
"configId": "<string>",
"defaultPayerId": "<string>",
"componentOverrides": [
{
"componentId": "<string>",
"payerCustomerId": "<string>"
}
]
}
},
"hasOpenedClientAccount": true,
"derogation": {
"id": "<string>",
"policyId": "<string>",
"branchId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
},
"brokerageFirm": {
"id": "<string>",
"companyInfo": {
"siret": "<string>",
"siren": "<string>",
"nafCode": "<string>",
"nafLabel": "<string>",
"name": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"location": {
"city": "<string>",
"country": "<string>",
"address": "<string>",
"postCode": "<string>"
},
"legalStatus": {
"1": "<string>",
"2": "<string>",
"3": "<string>"
},
"headcount": "<string>",
"isActive": true
},
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"branch": {
"branchId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"mergedAt": "2023-11-07T05:31:56Z",
"derogations": [
{
"derogationId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}
}
],
"pageInfo": {
"first": true,
"last": true
},
"totalCount": 123,
"currentPage": 123,
"totalPages": 123
}derogations
Search a brokerage firm's derogations
Filters are sent in the request body, which is why this is a POST.
POST
/
brokerage-firms
/
{brokerageFirmId}
/
derogations
/
search
Search a brokerage firm's derogations
Authorizations
oauth2bearerAuth
Machine-to-machine clients use the OAuth 2.0 client credentials grant. Each tenant has its own authorization server: in the token URL below, replace tenant with your tenant identifier.
Headers
Your tenant identifier. Requests without it are rejected.
Path Parameters
Pattern:
^brokerage_firm(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$Query Parameters
the number of items to return
the page to retrieve
Body
application/json
Response
200 - application/json
Was this page helpful?
⌘I

